summaryrefslogtreecommitdiff
path: root/sys-auth/nss-pam-ldapd/files/pynslcd.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-04-12 03:41:30 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-04-12 03:41:30 +0100
commit623ee73d661e5ed8475cb264511f683407d87365 (patch)
tree993eb27c93ec7a2d2d19550300d888fc1fed9e69 /sys-auth/nss-pam-ldapd/files/pynslcd.init
parentceeeb463cc1eef97fd62eaee8bf2196ba04bc384 (diff)
gentoo Easter resync : 12.04.2020
Diffstat (limited to 'sys-auth/nss-pam-ldapd/files/pynslcd.init')
-rw-r--r--sys-auth/nss-pam-ldapd/files/pynslcd.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/sys-auth/nss-pam-ldapd/files/pynslcd.init b/sys-auth/nss-pam-ldapd/files/pynslcd.init
new file mode 100644
index 000000000000..3165b02843fc
--- /dev/null
+++ b/sys-auth/nss-pam-ldapd/files/pynslcd.init
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+command=/usr/sbin/pynslcd
+pidfile=/run/nslcd/nslcd.pid
+extra_commands="checkconfig"
+cfg="/etc/nslcd.conf"
+
+depend() {
+ need net
+ use dns logger
+}
+
+checkconfig() {
+ if [ ! -f "$cfg" ] ; then
+ eerror "Please create $cfg"
+ eerror "Example config: /usr/share/nss-ldapd/nslcd.conf"
+ return 1
+ fi
+ return 0
+}
+
+start_pre() {
+ checkpath -q -d /run/nslcd -o nslcd:nslcd
+ checkconfig
+ return $?
+}